P_WRITE_BUF_DOUBLE_TRAP(3)

EXPERIMENTAL_FUNC
p_write_buf_double_trap - Write a dfloating point number to a buffer, trapping blanks.

SYNOPSIS
#include <karma_p.h>

flag p_write_buf_double_trap

(char *buffer, double data, flag blank_to_nan)

DESCRIPTION
This routine will write a double precision floating point number to a buffer and will optionally convert blank values (TOOBIGs) to IEEE Not-A-Number (NaN) values.

buffer
    A pointer to the buffer. This buffer must be at least 8 bytes long

data
    The data. This must be in host natural byte order. The data will be converted to IEEE network format prior to writing.

blank_to_nan
    If TRUE, TOOBIG values are converted to NaNs.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/